"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.partitionSourceFiles = exports.createProject = void 0;
const ts_morph_1 = require("ts-morph");
const createProject = (projectOptions, paths) => {
    const workspace = new ts_morph_1.Project(projectOptions);
    if (paths)
        workspace.addSourceFilesAtPaths(paths);
    return workspace;
};
exports.createProject = createProject;
const partitionSourceFiles = (projectFiles, productionFiles) => {
    const productionFilePaths = productionFiles.map(file => file.getFilePath());
    const usedFiles = [];
    const unusedFiles = [];
    projectFiles.forEach(projectFile => {
        if (productionFilePaths.includes(projectFile.getFilePath())) {
            usedFiles.push(projectFile);
        }
        else {
            unusedFiles.push(projectFile);
        }
    });
    return [usedFiles, unusedFiles];
};
exports.partitionSourceFiles = partitionSourceFiles;
